Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_down.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_down.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_down.F90	(revision 5158)
@@ -71,6 +71,6 @@
     ! Dans ce cas, pas besoin d'initialiser tracd(lmax) ( =trac(lmax) )
     ! Boucle pour le downdraft
-    do ilay = nlay, 1, -1
-      do ig = 1, ngrid
+    DO ilay = nlay, 1, -1
+      DO ig = 1, ngrid
         !if ( lmax(ig) > nlay - 2 ) stop "les thermiques montent trop haut"
         IF (ilay<=lmax(ig) .AND. lmax(ig)>1) THEN
@@ -88,6 +88,6 @@
 
     !Boucle pour l'updraft
-    do ilay = 1, nlay, 1
-      do ig = 1, ngrid
+    DO ilay = 1, nlay, 1
+      DO ig = 1, ngrid
         IF (ilay<lmax(ig) .AND. lmax(ig)>1) THEN
           fup(ig, ilay + 1) = fup(ig, ilay) + eup(ig, ilay) - dup(ig, ilay)
@@ -115,6 +115,6 @@
     fc(:, 1) = 0.
     fc(:, nlay + 1) = 0.
-    do ilay = 2, nlay, 1 !boucle sur les interfaces
-      do ig = 1, ngrid
+    DO ilay = 2, nlay, 1 !boucle sur les interfaces
+      DO ig = 1, ngrid
         fthu(ig, ilay) = fup(ig, ilay) * tracu(ig, ilay - 1)
         fthd(ig, ilay) = -fdn(ig, ilay) * tracd(ig, ilay)
@@ -127,6 +127,6 @@
     !Methode explicite :
     IF(iflag_impl==0) THEN
-      do ilay = 2, nlay, 1
-        do ig = 1, ngrid
+      DO ilay = 2, nlay, 1
+        DO ig = 1, ngrid
           !!!!ATTENTION HYPOTHESE de FLUX COMPENSATOIRE DESCENDANT ET DONC comme schema amont on va chercher trac au dessus!!!!!
           !!!! tentative de prise en compte d'un flux compensatoire montant  !!!!
@@ -144,6 +144,6 @@
       enddo
       !Boucle pour calculer trac
-      do ilay = 1, nlay
-        do ig = 1, ngrid
+      DO ilay = 1, nlay
+        DO ig = 1, ngrid
           dtrac(ig, ilay) = (fthtot(ig, ilay) - fthtot(ig, ilay + 1)) / masse(ig, ilay)
           !         trac(ig,ilay)=trac(ig,ilay) + (fthtot(ig,ilay)-fthtot(ig,ilay+1))*(ptimestep/masse(ig,ilay))
@@ -155,6 +155,6 @@
       WRITE(*, *) 'nouveau schéma explicite !!!'
       !!! Calcul de s1
-      do ilay = 1, nlay
-        do ig = 1, ngrid
+      DO ilay = 1, nlay
+        DO ig = 1, ngrid
           s1(ig, ilay) = fthu(ig, ilay) - fthu(ig, ilay + 1) + fthd(ig, ilay) - fthd(ig, ilay + 1)
           s2(ig, ilay) = s1(ig, ilay) + fthe(ig, ilay) - fthe(ig, ilay + 1)
@@ -162,6 +162,6 @@
       enddo
 
-      do ilay = 2, nlay, 1
-        do ig = 1, ngrid
+      DO ilay = 2, nlay, 1
+        DO ig = 1, ngrid
           IF (fup(ig, ilay) - fdn(ig, ilay) < 0.) THEN
             CALL abort_physic("thermcell_updown_dq", 'flux compensatoire ' &
@@ -174,6 +174,6 @@
       enddo
       !Boucle pour calculer trac
-      do ilay = 1, nlay
-        do ig = 1, ngrid
+      DO ilay = 1, nlay
+        DO ig = 1, ngrid
           ! dtrac(ig,ilay)=(fthtot(ig,ilay)-fthtot(ig,ilay+1))/masse(ig,ilay)
           dtrac(ig, ilay) = (s1(ig, ilay) + fthe(ig, ilay) - fthe(ig, ilay + 1)) / masse(ig, ilay)
@@ -184,6 +184,6 @@
 
     ELSE IF (iflag_impl==1) THEN
-      do ilay = 1, nlay
-        do ig = 1, ngrid
+      DO ilay = 1, nlay
+        DO ig = 1, ngrid
           s1(ig, ilay) = fthu(ig, ilay) - fthu(ig, ilay + 1) + fthd(ig, ilay) - fthd(ig, ilay + 1)
         enddo
@@ -191,6 +191,6 @@
 
       !Boucle pour calculer traci = trac((t+dt)
-      do ilay = nlay - 1, 1, -1
-        do ig = 1, ngrid
+      DO ilay = nlay - 1, 1, -1
+        DO ig = 1, ngrid
           IF((fup(ig, ilay) - fdn(ig, ilay)) < 0) THEN
             WRITE(*, *) 'flux compensatoire montant, cas non traite par thermcell_updown_dq dans le cas d une resolution implicite, ilay : ', ilay
@@ -202,6 +202,6 @@
         enddo
       enddo
-      do ilay = 1, nlay
-        do ig = 1, ngrid
+      DO ilay = 1, nlay
+        DO ig = 1, ngrid
           dtrac(ig, ilay) = (traci(ig, ilay) - tracold(ig, ilay)) / ptimestep
         enddo
@@ -269,6 +269,6 @@
     !   de la possible nulit?? du d??nominateur
 
-    do ilay = nlay, 1, -1
-      do ig = 1, ngrid
+    DO ilay = nlay, 1, -1
+      DO ig = 1, ngrid
         IF (ilay<=lmax(ig).AND.lmax(ig)>1) THEN
           edn(ig, ilay) = fact_thermals_down * dup(ig, ilay)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dq.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dq.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dq.F90	(revision 5158)
@@ -53,6 +53,6 @@
       ! Calcul du critere CFL pour l'advection dans la subsidence
       cfl = 0.
-      do k = 1, nlay
-        do ig = 1, ngrid
+      DO k = 1, nlay
+        DO ig = 1, ngrid
           zzm = masse(ig, k) / ptimestep
           cfl = max(cfl, fm(ig, k) / zzm)
@@ -70,6 +70,6 @@
 
       !   calcul du detrainement
-      do k = 1, nlay
-        do ig = 1, ngrid
+      DO k = 1, nlay
+        DO ig = 1, ngrid
           detr(ig, k) = fm(ig, k) - fm(ig, k + 1) + entr(ig, k)
           !           PRINT*,'Q2 DQ ',detr(ig,k),fm(ig,k),entr(ig,k)
@@ -91,10 +91,10 @@
 
       ! Computation of tracer concentrations in the ascending plume
-      do ig = 1, ngrid
+      DO ig = 1, ngrid
         qa(ig, 1) = q(ig, 1)
       enddo
 
-      do k = 2, nlay
-        do ig = 1, ngrid
+      DO k = 2, nlay
+        DO ig = 1, ngrid
           IF ((fm(ig, k + 1) + detr(ig, k)) * ptimestep>  &
                   1.e-5 * masse(ig, k)) THEN
@@ -114,5 +114,5 @@
 
       ! Plume vertical flux
-      do k = 2, nlay - 1
+      DO k = 2, nlay - 1
         fqa(:, k) = fm(:, k) * qa(:, k - 1)
       enddo
@@ -122,10 +122,10 @@
       ! Trace species evolution
       IF (impl==0) THEN
-        do k = 1, nlay - 1
+        DO k = 1, nlay - 1
           q(:, k) = q(:, k) + (fqa(:, k) - fqa(:, k + 1) - fm(:, k) * q(:, k) + fm(:, k + 1) * q(:, k + 1)) &
                   * ptimestep / masse(:, k)
         enddo
       else
-        do k = nlay - 1, 1, -1
+        DO k = nlay - 1, 1, -1
           ! FH debut de modif : le calcul ci dessous modifiait numériquement
           ! la concentration quand le flux de masse etait nul car on divisait
@@ -140,6 +140,6 @@
 
       ! Tendencies
-      do k = 1, nlay
-        do ig = 1, ngrid
+      DO k = 1, nlay
+        DO ig = 1, ngrid
           dq(ig, k) = (q(ig, k) - qold(ig, k)) / ptimestep
           q(ig, k) = qold(ig, k)
@@ -196,6 +196,6 @@
     ! Calcul du critere CFL pour l'advection dans la subsidence
     cfl = 0.
-    do k = 1, nlay
-      do ig = 1, ngrid
+    DO k = 1, nlay
+      DO ig = 1, ngrid
         zzm = masse(ig, k) / ptimestep
         cfl = max(cfl, fm(ig, k) / zzm)
@@ -225,6 +225,6 @@
 
       !   calcul du detrainement
-      do k = 1, nlay
-        do ig = 1, ngrid
+      DO k = 1, nlay
+        DO ig = 1, ngrid
           detr(ig, k) = fm(ig, k) - fm(ig, k + 1) + entr(ig, k)
           !           PRINT*,'Q2 DQ ',detr(ig,k),fm(ig,k),entr(ig,k)
@@ -246,10 +246,10 @@
 
       !   calcul de la valeur dans les ascendances
-      do ig = 1, ngrid
+      DO ig = 1, ngrid
         qa(ig, 1) = q(ig, 1)
       enddo
 
-      do k = 2, nlay
-        do ig = 1, ngrid
+      DO k = 2, nlay
+        DO ig = 1, ngrid
           IF ((fm(ig, k + 1) + detr(ig, k)) * ztimestep>  &
                   1.e-5 * masse(ig, k)) THEN
@@ -270,6 +270,6 @@
       ! Calcul du flux subsident
 
-      do k = 2, nlay
-        do ig = 1, ngrid
+      DO k = 2, nlay
+        DO ig = 1, ngrid
 #undef centre
 #ifdef centre
@@ -296,5 +296,5 @@
         enddo
       enddo
-      do ig = 1, ngrid
+      DO ig = 1, ngrid
         wqd(ig, 1) = 0.
         wqd(ig, nlay + 1) = 0.
@@ -303,6 +303,6 @@
 
       ! Calcul des tendances
-      do k = 1, nlay
-        do ig = 1, ngrid
+      DO k = 1, nlay
+        DO ig = 1, ngrid
           q(ig, k) = q(ig, k) + (detr(ig, k) * qa(ig, k) - entr(ig, k) * q(ig, k)  &
                   - wqd(ig, k) + wqd(ig, k + 1))  &
@@ -318,6 +318,6 @@
 
     ! Calcul des tendances
-    do k = 1, nlay
-      do ig = 1, ngrid
+    DO k = 1, nlay
+      DO ig = 1, ngrid
         dq(ig, k) = (q(ig, k) - qold(ig, k)) / ptimestep
         q(ig, k) = qold(ig, k)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dry.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dry.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dry.F90	(revision 5158)
@@ -38,16 +38,16 @@
 
 !initialisations
-       do ig=1,ngrid
-          do l=1,nlay+1
+       DO ig=1,ngrid
+          DO l=1,nlay+1
              zw2(ig,l)=0.
              wa_moy(ig,l)=0.
           enddo
        enddo
-       do ig=1,ngrid
-          do l=1,nlay
+       DO ig=1,ngrid
+          DO l=1,nlay
              ztva(ig,l)=ztv(ig,l)
           enddo
        enddo
-       do ig=1,ngrid
+       DO ig=1,ngrid
           wmax(ig)=0.
           wmaxa(ig)=0.
@@ -58,5 +58,5 @@
 ! Calcul des F^*, integrale verticale de E^*
        f_star(:,1)=0.
-       do l=1,nlay
+       DO l=1,nlay
           f_star(:,l+1)=f_star(:,l)+alim_star(:,l)
        enddo
@@ -71,6 +71,6 @@
 ! lmax
 
-       do l=1,nlay-2
-         do ig=1,ngrid
+       DO l=1,nlay-2
+         DO ig=1,ngrid
             IF (l==lmin(ig).AND.lalim(ig)>1) THEN
 !------------------------------------------------------------------------
@@ -136,10 +136,10 @@
 
 ! Determination de zw2 max
-      do ig=1,ngrid
+      DO ig=1,ngrid
          wmax(ig)=0.
       enddo
 
-      do l=1,nlay
-         do ig=1,ngrid
+      DO l=1,nlay
+         DO ig=1,ngrid
             IF (l<=lmax(ig)) THEN
                 zw2(ig,l)=sqrt(zw2(ig,l))
@@ -152,9 +152,9 @@
 
 !   Longueur caracteristique correspondant a la hauteur des thermiques.
-      do  ig=1,ngrid
+      DO  ig=1,ngrid
          zmax(ig)=0.
          zlevinter(ig)=zlev(ig,1)
       enddo
-      do  ig=1,ngrid
+      DO  ig=1,ngrid
 ! calcul de zlevinter
           zlevinter(ig)=zlev(ig,lmax(ig)) + &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dtke.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dtke.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dtke.F90	(revision 5158)
@@ -40,5 +40,5 @@
 
 !   calcul du detrainement
-      do k=1,nlay
+      DO k=1,nlay
          detr0(:,k)=fm0(:,k)-fm0(:,k+1)+entr0(:,k)
          masse0(:,k)=(pplev(:,k)-pplev(:,k+1))/RG
@@ -51,5 +51,5 @@
       detr(:,1)=0.5*detr0(:,1)
       fm(:,1)=0.
-      do k=1,nlay-1
+      DO k=1,nlay-1
          masse(:,k+1)=0.5*(masse0(:,k)+masse0(:,k+1))
          entr(:,k+1)=0.5*(entr0(:,k)+entr0(:,k+1))
@@ -65,5 +65,5 @@
    q(:,:)=tke(:,:,isrf)
 !   calcul de la valeur dans les ascendances
-      do ig=1,ngrid
+      DO ig=1,ngrid
          qa(ig,1)=q(ig,1)
       enddo
@@ -71,6 +71,6 @@
 
     IF (1==1) THEN
-      do k=2,nlay
-         do ig=1,ngrid
+      DO k=2,nlay
+         DO ig=1,ngrid
             IF ((fm(ig,k+1)+detr(ig,k))*ptimestep>  &
            1.e-5*masse(ig,k)) THEN
@@ -91,6 +91,6 @@
 ! Calcul du flux subsident
 
-      do k=2,nlay
-         do ig=1,ngrid
+      DO k=2,nlay
+         DO ig=1,ngrid
             wqd(ig,k)=fm(ig,k)*q(ig,k)
             IF (wqd(ig,k)<0.) THEN
@@ -99,5 +99,5 @@
          enddo
       enddo
-      do ig=1,ngrid
+      DO ig=1,ngrid
          wqd(ig,1)=0.
          wqd(ig,nlay+1)=0.
@@ -106,6 +106,6 @@
 
 ! Calcul des tendances
-      do k=1,nlay
-         do ig=1,ngrid
+      DO k=1,nlay
+         DO ig=1,ngrid
             q(ig,k)=q(ig,k)+(detr(ig,k)*qa(ig,k)-entr(ig,k)*q(ig,k)  &
                  -wqd(ig,k)+wqd(ig,k+1))  &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dv2.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dv2.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dv2.F90	(revision 5158)
@@ -53,6 +53,6 @@
       nlarga0=0.
 
-      do k=1,nlay
-         do ig=1,ngrid
+      DO k=1,nlay
+         DO ig=1,ngrid
             detr(ig,k)=fm(ig,k)-fm(ig,k+1)+entr(ig,k)
          enddo
@@ -60,5 +60,5 @@
 
 !   calcul de la valeur dans les ascendances
-      do ig=1,ngrid
+      DO ig=1,ngrid
          ua(ig,1)=u(ig,1)
          va(ig,1)=v(ig,1)
@@ -70,6 +70,6 @@
         'WARNING on initialise gamma(1:ngrid,1)=0.'
       gamma(1:ngrid,1)=0.
-      do k=2,nlay
-         do ig=1,ngrid
+      DO k=2,nlay
+         DO ig=1,ngrid
             ltherm(ig,k)=(fm(ig,k+1)+detr(ig,k))*ptimestep > 1.e-5*masse(ig,k)
             IF(ltherm(ig,k).AND.larga(ig)>0.) THEN
@@ -87,7 +87,7 @@
       gamma(:,:)=0.
 
-      do k=2,nlay
+      DO k=2,nlay
 
-         do ig=1,ngrid
+         DO ig=1,ngrid
             IF (ltherm(ig,k)) THEN
                dua(ig,k)=ua(ig,k-1)-u(ig,k-1)
@@ -105,5 +105,5 @@
 !----------------------
 DO iter=1,5
-         do ig=1,ngrid
+         DO ig=1,ngrid
 ! Pour memoire : calcul prenant en compte la fraction reelle
 !              zf=0.5*(fraca(ig,k)+fraca(ig,k+1))
@@ -145,11 +145,11 @@
 ! Calcul du flux vertical de moment dans l'environnement.
 !---------------------------------------------------------
-      do k=2,nlay
-         do ig=1,ngrid
+      DO k=2,nlay
+         DO ig=1,ngrid
             wud(ig,k)=fm(ig,k)*ue(ig,k)
             wvd(ig,k)=fm(ig,k)*ve(ig,k)
          enddo
       enddo
-      do ig=1,ngrid
+      DO ig=1,ngrid
          wud(ig,1)=0.
          wud(ig,nlay+1)=0.
@@ -160,6 +160,6 @@
 ! calcul des tendances.
 !-----------------------
-      do k=1,nlay
-         do ig=1,ngrid
+      DO k=1,nlay
+         DO ig=1,ngrid
             du(ig,k)=((detr(ig,k)+gamma(ig,k))*ua(ig,k)  &
                  -(entr(ig,k)+gamma(ig,k))*ue(ig,k)  &
@@ -178,6 +178,6 @@
 
    IF(prt_level>=10) THEN
-      do k=1,nlay
-         do ig=1,ngrid
+      DO k=1,nlay
+         DO ig=1,ngrid
            PRINT*,'th_dv2 ig k gamma entr detr ua ue va ve wud wvd masse',ig,k,gamma(ig,k), &
      entr(ig,k),detr(ig,k),ua(ig,k),ue(ig,k),va(ig,k),ve(ig,k),wud(ig,k),wvd(ig,k),wud(ig,k+1),wvd(ig,k+1), &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_env.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_env.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_env.F90	(revision 5158)
@@ -51,6 +51,6 @@
 
    CALL thermcell_qsat(ngrid*nlay,mask,pplev,pt,po,pqsat)
-   do ll=1,nlay
-      do ig=1,ngrid
+   DO ll=1,nlay
+      DO ig=1,ngrid
          zl(ig,ll) = max(0.,po(ig,ll)-pqsat(ig,ll))
          zh(ig,ll) = pt(ig,ll)+RLvCp*zl(ig,ll)         !   T = Tl + Lv/Cp ql
@@ -62,6 +62,6 @@
    IF (prt_level>=1) PRINT*,'0 OK convect8'
 
-   do ll=1,nlay
-      do ig=1,ngrid
+   DO ll=1,nlay
+      DO ig=1,ngrid
           zpspsk(ig,ll)=(pplay(ig,ll)/100000.)**RKAPPA
           zu(ig,ll)=pu(ig,ll)
@@ -79,10 +79,10 @@
    enddo
 !CR: Calcul du niveau de congelation
-   do ig=1,ngrid
+   DO ig=1,ngrid
       lcong(ig)=1
       lintercong(ig)=0.
    enddo
-   do ig=1,ngrid
-      do ll=1,nlay-1
+   DO ig=1,ngrid
+      DO ll=1,nlay-1
          IF ((zh(ig,ll)>273.15).AND.(zh(ig,ll+1)<=273.15)) THEN
             lcong(ig)=ll+1
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_flux2.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_flux2.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_flux2.F90	(revision 5158)
@@ -91,6 +91,6 @@
 
     IF (check_debug) THEN
-      do l = 1, nlay
-        do ig = 1, ngrid
+      DO l = 1, nlay
+        DO ig = 1, ngrid
           IF (l<=lmax(ig)) THEN
             IF (entr_star(ig, l)>1.) THEN
@@ -119,5 +119,5 @@
     !-------------------------------------------------------------------------
 
-    do l = 1, nlay
+    DO l = 1, nlay
       entr(:, l) = f(:) * (entr_star(:, l) + alim_star(:, l))
       detr(:, l) = f(:) * detr_star(:, l)
@@ -136,6 +136,6 @@
 
     fm(:, 1) = 0.
-    do l = 1, nlay
-      do ig = 1, ngrid
+    DO l = 1, nlay
+      DO ig = 1, ngrid
         IF (l<lmax(ig)) THEN
           fm(ig, l + 1) = fm(ig, l) + entr(ig, l) - detr(ig, l)
@@ -155,6 +155,6 @@
     ! autres corrections.
 
-    do l = 1, nlay
-      do ig = 1, ngrid
+    DO l = 1, nlay
+      DO ig = 1, ngrid
         IF (detr(ig, l)>fm(ig, l)) THEN
           ncorecfm8 = ncorecfm8 + 1
@@ -179,7 +179,7 @@
     !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-    do l = 1, nlay
-
-      do ig = 1, ngrid
+    DO l = 1, nlay
+
+      DO ig = 1, ngrid
         IF (l<lmax(ig)) THEN
           fm(ig, l + 1) = fm(ig, l) + entr(ig, l) - detr(ig, l)
@@ -198,5 +198,5 @@
 
       !     do l=1,nlay
-      do ig = 1, ngrid
+      DO ig = 1, ngrid
         IF (fm(ig, l + 1)<0.) THEN
           !              PRINT*,'fm1<0',l+1,lmax(ig),fm(ig,l+1)
@@ -217,5 +217,5 @@
       IF (iflag_thermals_optflux==0) THEN
         !     do l=1,nlay
-        do ig = 1, ngrid
+        DO ig = 1, ngrid
           IF (l>=lalim(ig).AND.l<=lmax(ig) &
                   .AND.(zw2(ig, l + 1)>1.e-10).AND.(zw2(ig, l)>1.e-10)) THEN
@@ -243,5 +243,5 @@
       IF (iflag_thermals_optflux==0) THEN
         !     do l=1,nlay
-        do ig = 1, ngrid
+        DO ig = 1, ngrid
           IF ((fm(ig, l + 1)>fm(ig, l)).AND.(l>lalim(ig))) THEN
             f_old = fm(ig, l + 1)
@@ -267,5 +267,5 @@
 
         labort_physic = .FALSE.
-        do ig = 1, ngrid
+        DO ig = 1, ngrid
           IF (entr(ig, l)<0.) THEN
             labort_physic = .TRUE.
@@ -281,5 +281,5 @@
         endif
 
-        do ig = 1, ngrid
+        DO ig = 1, ngrid
           IF (detr(ig, l)>fm(ig, l)) THEN
             ncorecfm6 = ncorecfm6 + 1
@@ -307,5 +307,5 @@
 
         labort_physic = .FALSE.
-        do ig = 1, ngrid
+        DO ig = 1, ngrid
           IF (entr(ig, l)<0.) THEN
             labort_physic = .TRUE.
@@ -335,5 +335,5 @@
 
       !     do l=1,nlay
-      do ig = 1, ngrid
+      DO ig = 1, ngrid
         IF (fm(ig, l + 1)<0.) THEN
           detr(ig, l) = detr(ig, l) + fm(ig, l + 1)
@@ -344,5 +344,5 @@
 
       labort_physic = .FALSE.
-      do ig = 1, ngrid
+      DO ig = 1, ngrid
         IF (detr(ig, l)<0.) THEN
           labort_physic = .TRUE.
@@ -384,5 +384,5 @@
 
       !    do l=1,nlay
-      do ig = 1, ngrid
+      DO ig = 1, ngrid
         IF (zw2(ig, l + 1)>1.e-10) THEN
           zfm = rhobarz(ig, l + 1) * zw2(ig, l + 1) * alphamax
@@ -419,6 +419,6 @@
     IF (1==1) THEN
       labort_physic = .FALSE.
-      do l = 1, nlay - 1
-        do ig = 1, ngrid
+      DO l = 1, nlay - 1
+        DO ig = 1, ngrid
           eee0 = entr(ig, l)
           ddd0 = detr(ig, l)
@@ -476,5 +476,5 @@
     !              ddd=detr(ig)-entre
     !on s assure que tout s annule bien en zmax
-    do ig = 1, ngrid
+    DO ig = 1, ngrid
       fm(ig, lmax(ig) + 1) = 0.
       entr(ig, lmax(ig)) = 0.
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_height.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_height.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_height.F90	(revision 5158)
@@ -28,9 +28,9 @@
 
 !calcul de la hauteur max du thermique
-      do ig=1,ngrid
+      DO ig=1,ngrid
          lmax(ig)=lalim(ig)
       enddo
-      do ig=1,ngrid
-         do l=nlay,lalim(ig)+1,-1
+      DO ig=1,ngrid
+         DO l=nlay,lalim(ig)+1,-1
             IF (zw2(ig,l)<=1.e-10) THEN
                lmax(ig)=l-1
@@ -41,5 +41,5 @@
 ! On traite le cas particulier qu'il faudrait éviter ou le thermique
 ! atteind le haut du modele ...
-      do ig=1,ngrid
+      DO ig=1,ngrid
       IF ( zw2(ig,nlay) > 1.e-10 ) THEN
           PRINT*,'WARNING !!!!! W2 thermiques non nul derniere couche '
@@ -49,5 +49,5 @@
 
 ! pas de thermique si couche 1 stable
-      do ig=1,ngrid
+      DO ig=1,ngrid
          IF (lmin(ig)>1) THEN
              lmax(ig)=1
@@ -58,10 +58,10 @@
 
 ! Determination de zw2 max
-      do ig=1,ngrid
+      DO ig=1,ngrid
          wmax(ig)=0.
       enddo
 
-      do l=1,nlay
-         do ig=1,ngrid
+      DO l=1,nlay
+         DO ig=1,ngrid
             IF (l<=lmax(ig)) THEN
                 IF (zw2(ig,l)<0.)THEN
@@ -77,5 +77,5 @@
 
 !   Longueur caracteristique correspondant a la hauteur des thermiques.
-      do  ig=1,ngrid
+      DO  ig=1,ngrid
          zmax(ig)=0.
          zlevinter(ig)=zlev(ig,1)
@@ -87,11 +87,11 @@
          num(:)=0.
          denom(:)=0.
-         do ig=1,ngrid
-          do l=1,nlay
+         DO ig=1,ngrid
+          DO l=1,nlay
              num(ig)=num(ig)+zw2(ig,l)*zlev(ig,l)*(zlev(ig,l+1)-zlev(ig,l))
              denom(ig)=denom(ig)+zw2(ig,l)*(zlev(ig,l+1)-zlev(ig,l))
           enddo
        enddo
-       do ig=1,ngrid
+       DO ig=1,ngrid
        IF (denom(ig)>1.e-10) THEN
           zmax(ig)=2.*num(ig)/denom(ig)
@@ -102,5 +102,5 @@
       else
 !CR:Calcul de zmax continu via le linter      
-      do  ig=1,ngrid
+      DO  ig=1,ngrid
 ! calcul de zlevinter
           zlevinter(ig)=(zlev(ig,lmax(ig)+1)-zlev(ig,lmax(ig)))*  &
@@ -114,5 +114,5 @@
 
 !CR:calcul du zcong
-      do  ig=1,ngrid
+      DO  ig=1,ngrid
 ! calcul de zlevintercong
          zlevintercong(ig)=(zlev(ig,lcong(ig)+1)-zlev(ig,lcong(ig)))*  &
@@ -127,5 +127,5 @@
 
 ! def de  zmix continu (profil parabolique des vitesses)
-      do ig=1,ngrid
+      DO ig=1,ngrid
            IF (lmix(ig)>1) THEN
 ! test 
@@ -158,6 +158,6 @@
 
 ! calcul du nouveau lmix correspondant
-      do ig=1,ngrid
-         do l=1,nlay
+      DO ig=1,ngrid
+         DO l=1,nlay
             IF (zmix(ig)>=zlev(ig,l).AND.  &
             zmix(ig)<zlev(ig,l+1)) THEN
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_ini.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_ini.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_ini.F90	(revision 5158)
@@ -33,5 +33,5 @@
    ! depending on other flags.
 
-   real               :: fact_epsilon=0.002
+   REAL               :: fact_epsilon=0.002
 
 !$OMP THREADPRIVATE(r_aspect_thermals,tau_thermals,fact_thermals_ed_dz)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_main.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_main.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_main.F90	(revision 5158)
@@ -197,5 +197,5 @@
     !PRINT*,'thermcell_main debut'
     !     WRITE(lunout,*)'WARNING thermcell_main f0=max(f0,1.e-2)'
-    do ig = 1, ngrid
+    DO ig = 1, ngrid
       f0(ig) = max(f0(ig), 1.e-2)
       zmax0(ig) = max(zmax0(ig), 40.)
@@ -204,5 +204,5 @@
 
     IF (prt_level>=20) THEN
-      do ig = 1, ngrid
+      DO ig = 1, ngrid
         PRINT*, 'th_main ig f0', ig, f0(ig)
       enddo
@@ -256,6 +256,6 @@
       ! contenu thermcell_env : enddo
 
-      do l = 1, nlay
-        do ig = 1, ngrid
+      DO l = 1, nlay
+        DO ig = 1, ngrid
           zl(ig, l) = 0.
           zu(ig, l) = puwind(ig, l)
@@ -296,13 +296,13 @@
     !-----------------------------------------------------------------------
 
-    do l = 2, nlay
+    DO l = 2, nlay
       zlev(:, l) = 0.5 * (pphi(:, l) + pphi(:, l - 1)) / RG
     enddo
     zlev(:, 1) = 0.
     zlev(:, nlay + 1) = (2. * pphi(:, nlay) - pphi(:, nlay - 1)) / RG
-    do l = 1, nlay
+    DO l = 1, nlay
       zlay(:, l) = pphi(:, l) / RG
     enddo
-    do l = 1, nlay
+    DO l = 1, nlay
       deltaz(:, l) = zlev(:, l + 1) - zlev(:, l)
     enddo
@@ -315,8 +315,8 @@
     IF (prt_level>=10) WRITE(lunout, *) 'WARNING thermcell_main rhobarz(:,1)=rho(:,1)'
     rhobarz(:, 1) = rho(:, 1)
-    do l = 2, nlay
+    DO l = 2, nlay
       rhobarz(:, l) = 0.5 * (rho(:, l) + rho(:, l - 1))
     enddo
-    do l = 1, nlay
+    DO l = 1, nlay
       masse(:, l) = (pplev(:, l) - pplev(:, l + 1)) / RG
     enddo
@@ -457,5 +457,5 @@
     ! Le probleme vient du fait que linter et lmix sont souvent egaux a 1.
     wmax_tmp = 0.
-    do  l = 1, nlay
+    DO  l = 1, nlay
       wmax_tmp(:) = max(wmax_tmp(:), zw2(:, l))
     enddo
@@ -562,10 +562,10 @@
     ! Calcul de la fraction de l'ascendance
     !------------------------------------------------------------------
-    do ig = 1, ngrid
+    DO ig = 1, ngrid
       fraca(ig, 1) = 0.
       fraca(ig, nlay + 1) = 0.
     enddo
-    do l = 2, nlay
-      do ig = 1, ngrid
+    DO l = 2, nlay
+      DO ig = 1, ngrid
         IF (zw2(ig, l)>1.e-10) THEN
           fraca(ig, l) = fm(ig, l) / (rhobarz(ig, l) * zw2(ig, l))
@@ -592,6 +592,6 @@
 
       ! Temperature potentielle liquide effectivement mélangée par les thermiques
-      do ll = 1, nlay
-        do ig = 1, ngrid
+      DO ll = 1, nlay
+        DO ig = 1, ngrid
           zthl(ig, ll) = ptemp(ig, ll) / zpspsk(ig, ll)
         enddo
@@ -600,6 +600,6 @@
               zthl, zdthladj, zta, lev_out)
 
-      do ll = 1, nlay
-        do ig = 1, ngrid
+      DO ll = 1, nlay
+        DO ig = 1, ngrid
           z_o(ig, ll) = p_o(ig, ll)
         enddo
@@ -610,6 +610,6 @@
 #ifdef ISO
         ! C Risi: on utilise directement la meme routine
-        do ixt=1,ntiso
-          do ll=1,nlay
+        DO ixt=1,ntiso
+          DO ll=1,nlay
             DO ig=1,ngrid
                 xtpo_tmp(ig,ll)=xtpo(ixt,ig,ll)
@@ -619,5 +619,5 @@
           CALL thermcell_dq(ngrid,nlay,dqimpl,ptimestep,fm0,entr0,masse,  &
                      xtpo_tmp,xtpdoadj_tmp,xtzo_tmp,lev_out)
-          do ll=1,nlay
+          DO ll=1,nlay
             DO ig=1,ngrid
                 xtpdoadj(ixt,ig,ll)=xtpdoadj_tmp(ig,ll)
@@ -674,6 +674,6 @@
 
     !     PRINT*,'13 OK convect8'
-    do l = 1, nlay
-      do ig = 1, ngrid
+    DO l = 1, nlay
+      DO ig = 1, ngrid
         pdtadj(ig, l) = zdthladj(ig, l) * zpspsk(ig, l)
       enddo
@@ -690,10 +690,10 @@
       ! calcul du niveau de condensation
       ! initialisation
-      do ig = 1, ngrid
+      DO ig = 1, ngrid
         nivcon(ig) = 0
         zcon(ig) = 0.
       enddo
       !nouveau calcul
-      do ig = 1, ngrid
+      DO ig = 1, ngrid
         ! WARNING !!! verifier que c'est bien ztemp_env qu'on veut là
         CHI = ztemp_env(ig, 1) / (1669.0 - 122.0 * z_o(ig, 1) / zqsat(ig, 1) - ztemp_env(ig, 1))
@@ -701,6 +701,6 @@
       enddo
       !IM   do k=1,nlay
-      do k = 1, nlay - 1
-        do ig = 1, ngrid
+      DO k = 1, nlay - 1
+        DO ig = 1, ngrid
           IF ((pcon(ig)<=pplay(ig, k))  &
                   .AND.(pcon(ig)>pplay(ig, k + 1))) THEN
@@ -711,5 +711,5 @@
       !IM
       ierr = 0
-      do ig = 1, ngrid
+      DO ig = 1, ngrid
         IF (pcon(ig)<=pplay(ig, nlay)) THEN
           zcon2(ig) = zlay(ig, nlay) - (pcon(ig) - pplay(ig, nlay)) / (RG * rho(ig, nlay)) / 100.
@@ -723,6 +723,6 @@
 
       IF (prt_level>=1) PRINT*, '14b OK convect8'
-      do k = nlay, 1, -1
-        do ig = 1, ngrid
+      DO k = nlay, 1, -1
+        DO ig = 1, ngrid
           IF (zqla(ig, k)>1e-10) THEN
             nivcon(ig) = k
@@ -734,6 +734,6 @@
       !calcul des moments
       !initialisation
-      do l = 1, nlay
-        do ig = 1, ngrid
+      DO l = 1, nlay
+        DO ig = 1, ngrid
           q2(ig, l) = 0.
           wth2(ig, l) = 0.
@@ -746,6 +746,6 @@
       IF (prt_level>=10)WRITE(lunout, *)                                &
               'WARNING thermcell_main wth2=0. si zw2 > 1.e-10'
-      do l = 1, nlay
-        do ig = 1, ngrid
+      DO l = 1, nlay
+        DO ig = 1, ngrid
           zf = fraca(ig, l)
           zf2 = zf / (1. - zf)
@@ -765,6 +765,6 @@
       enddo
       !calcul des flux: q, thetal et thetav
-      do l = 1, nlay
-        do ig = 1, ngrid
+      DO l = 1, nlay
+        DO ig = 1, ngrid
           wq(ig, l) = fraca(ig, l) * zw2(ig, l) * (zqta(ig, l) * 1000. - p_o(ig, l) * 1000.)
           wthl(ig, l) = fraca(ig, l) * zw2(ig, l) * (ztla(ig, l) - zthl(ig, l))
@@ -779,6 +779,6 @@
       ratqsdiff(:, :) = 0.
 
-      do l = 1, nlay
-        do ig = 1, ngrid
+      DO l = 1, nlay
+        DO ig = 1, ngrid
           IF (l<=lalim(ig)) THEN
             var = var + alim_star(ig, l) * zqta(ig, l) * 1000.
@@ -789,6 +789,6 @@
       IF (prt_level>=1) PRINT*, '14f OK convect8'
 
-      do l = 1, nlay
-        do ig = 1, ngrid
+      DO l = 1, nlay
+        DO ig = 1, ngrid
           IF (l<=lalim(ig)) THEN
             zf = fraca(ig, l)
@@ -800,6 +800,6 @@
 
       IF (prt_level>=1) PRINT*, '14g OK convect8'
-      do l = 1, nlay
-        do ig = 1, ngrid
+      DO l = 1, nlay
+        DO ig = 1, ngrid
           ratqsdiff(ig, l) = sqrt(vardiff) / (p_o(ig, l) * 1000.)
         enddo
@@ -837,10 +837,10 @@
 
     !  test sur la hauteur des thermiques ...
-    do i = 1, ngrid
+    DO i = 1, ngrid
       !IMtemp           if (pplay(i,long(i)).lt.seuil*pplev(i,1)) THEN
       IF (prt_level>=10) THEN
         PRINT*, 'WARNING ', comment, ' au point ', i, ' K= ', long(i)
         PRINT*, '  K  P(MB)  THV(K)     Qenv(g/kg)THVA        QLA(g/kg)   F*        W2'
-        do k = 1, nlay
+        DO k = 1, nlay
           WRITE(6, '(i3,7f10.3)') k, pplay(i, k), ztv(i, k), 1000 * p_o(i, k), ztva(i, k), 1000 * zqla(i, k), f_star(i, k), zw2(i, k)
         enddo
@@ -896,5 +896,5 @@
 
     !   calcul du detrainement
-    do k = 1, nlay
+    DO k = 1, nlay
       detr0(:, k) = fm0(:, k) - fm0(:, k + 1) + entr0(:, k)
       masse0(:, k) = (pplev(:, k) - pplev(:, k + 1)) / RG
@@ -907,5 +907,5 @@
     detr(:, 1) = 0.5 * detr0(:, 1)
     fm(:, 1) = 0.
-    do k = 1, nlay - 1
+    DO k = 1, nlay - 1
       masse(:, k + 1) = 0.5 * (masse0(:, k) + masse0(:, k + 1))
       entr(:, k + 1) = 0.5 * (entr0(:, k) + entr0(:, k + 1))
@@ -917,5 +917,5 @@
     q(:, :) = therm_tke_max(:, :)
     !!! nrlmd le 16/09/2010
-    do ig = 1, ngrid
+    DO ig = 1, ngrid
       qa(ig, 1) = q(ig, 1)
     enddo
@@ -923,6 +923,6 @@
 
     IF (1==1) THEN
-      do k = 2, nlay
-        do ig = 1, ngrid
+      DO k = 2, nlay
+        DO ig = 1, ngrid
           IF ((fm(ig, k + 1) + detr(ig, k)) * ptimestep>  &
                   1.e-5 * masse(ig, k)) THEN
@@ -943,6 +943,6 @@
       ! Calcul du flux subsident
 
-      do k = 2, nlay
-        do ig = 1, ngrid
+      DO k = 2, nlay
+        DO ig = 1, ngrid
           wqd(ig, k) = fm(ig, k) * q(ig, k)
           IF (wqd(ig, k)<0.) THEN
@@ -951,5 +951,5 @@
         enddo
       enddo
-      do ig = 1, ngrid
+      DO ig = 1, ngrid
         wqd(ig, 1) = 0.
         wqd(ig, nlay + 1) = 0.
@@ -957,6 +957,6 @@
 
       ! Calcul des tendances
-      do k = 1, nlay
-        do ig = 1, ngrid
+      DO k = 1, nlay
+        DO ig = 1, ngrid
           q(ig, k) = q(ig, k) + (detr(ig, k) * qa(ig, k) - entr(ig, k) * q(ig, k)  &
                   - wqd(ig, k) + wqd(ig, k + 1))  &
